Skip to main content
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
termBases
Get term bases
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/termBases \
  --header 'Authorization: <api-key>'
{
  "termBases": [
    {
      "targetLocale": "<string>",
      "workflowStep": {
        "name": "<string>",
        "id": "<string>",
        "uid": "<string>",
        "order": 123,
        "lqaEnabled": true
      },
      "readMode": true,
      "writeMode": true,
      "termBase": {
        "name": "<string>",
        "id": "<string>",
        "uid": "<string>",
        "internalId": 123,
        "langs": [
          "<string>"
        ],
        "client": {
          "id": "<string>",
          "uid": "<string>",
          "name": "<string>"
        },
        "domain": {
          "id": "<string>",
          "uid": "<string>",
          "name": "<string>"
        },
        "subDomain": {
          "id": "<string>",
          "uid": "<string>",
          "name": "<string>"
        },
        "businessUnit": {
          "id": "<string>",
          "uid": "<string>",
          "name": "<string>"
        },
        "createdBy": {
          "firstName": "<string>",
          "lastName": "<string>",
          "userName": "<string>",
          "email": "<string>",
          "role": "SYS_ADMIN",
          "id": "<string>",
          "uid": "<string>"
        },
        "owner": {
          "firstName": "<string>",
          "lastName": "<string>",
          "userName": "<string>",
          "email": "<string>",
          "role": "SYS_ADMIN",
          "id": "<string>",
          "uid": "<string>"
        },
        "dateCreated": "2023-11-07T05:31:56Z",
        "note": "<string>",
        "canShow": true,
        "readonly": true,
        "userAllowedOperations": [
          "<string>"
        ],
        "sourceUrl": "<string>"
      },
      "qualityAssurance": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Query Parameters

excludeVendorTermBases
boolean

Exclude vendor term bases, returning only the current organization's term bases

Response

successful operation

termBases
object[]